Don't include linux/config.h from anywhere else in include/
[linux-2.6.git] / include / linux / compiler.h
index 487725c..f23d3c6 100644 (file)
@@ -42,8 +42,6 @@ extern void __chk_io_ptr(void __iomem *);
 # include <linux/compiler-gcc4.h>
 #elif __GNUC__ == 3
 # include <linux/compiler-gcc3.h>
-#elif __GNUC__ == 2
-# include <linux/compiler-gcc2.h>
 #else
 # error Sorry, your compiler is too old/not recognized.
 #endif
@@ -90,6 +88,12 @@ extern void __chk_io_ptr(void __iomem *);
 # define __deprecated          /* unimplemented */
 #endif
 
+#ifdef MODULE
+#define __deprecated_for_modules __deprecated
+#else
+#define __deprecated_for_modules
+#endif
+
 #ifndef __must_check
 #define __must_check
 #endif